Package Gnumed :: Package wxpython :: Module gmMultiSash :: Class cMultiSashLeaf |
[frames] | no frames]

# Class cMultiSashLeaf

source code

    wx.Window --+
                |
               cMultiSashLeaf

A leaf represent a split window, one instance of the displayed content widget.

Instance Methods
__init__(self, top_parent, parent, pos, size) | source code
set_focus(self) Set current leaf as focused leaf. | source code
set_content(self, content) Sets the as content child of this leaf. | source code
get_content(self) Retrieves the content child of this leaf. | source code
Select(self) Select the leaf | source code
AddLeaf(self, direction, pos) Add a leaf. | source code
DestroyLeaf(self) | source code
SizeTarget(self, side) | source code
CanSize(self, side) | source code
OnSize(self, evt) | source code

Method Details

### set_focus(self) | source code
Set current leaf as focused leaf. Typically, the focused widget will be required to further actions and processing.

### set_content(self, content) | source code
Sets the as content child of this leaf. @param content The new content widget to set.. @type content Any wx.Window derived object.

### AddLeaf(self, direction, pos) | source code
    Add a leaf.

    returns (Status, error)
    errors:
            1: lacking space to add leaf